bitel.billing.server.admin.bean

## Class AddressStruct

- java.lang.Object
- - bitel.billing.server.admin.bean.AddressStruct

-     public class AddressStruct
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressStruct()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getArea()`
    `java.lang.String` | `getCity()`
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getFlat()`
    `java.lang.String` | `getFloor()`
    `java.lang.String` | `getFrac()`
    `java.lang.String` | `getFullAddress()`
    `java.lang.String` | `getHouse()`
    `int` | `getHouseId()`
    `int` | `getHouseID()` Deprecated.
    `java.lang.String` | `getIndex()`
    `java.lang.String` | `getPod()`
    `java.lang.String` | `getQuarter()`
    `java.lang.String` | `getRoom()`
    `java.lang.String` | `getStreet()`
    `void` | `setArea(java.lang.String area)`
    `void` | `setCity(java.lang.String city)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setFlat(java.lang.String flat)`
    `void` | `setFloor(java.lang.String floor)`
    `void` | `setFrac(java.lang.String frac)`
    `void` | `setFullAddress(java.lang.String fullAddress)` Адресная строка формируется автоматически в зависимости от setup.
    `void` | `setHouse(java.lang.String house)`
    `void` | `setHouseId(int houseId)`
    `void` | `setHouseID(int houseId)` Использовать `setHouseId(int)`.
    `void` | `setIndex(java.lang.String index)`
    `void` | `setPod(java.lang.String pod)`
    `void` | `setQuarter(java.lang.String quarter)`
    `void` | `setRoom(java.lang.String room)`
    `void` | `setStreet(java.lang.String street)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddressStruct

          public AddressStruct()

  - ### Method Detail

    - #### getIndex

          public java.lang.String getIndex()

    - #### setIndex

          public void setIndex(java.lang.String index)

    - #### getCity

          public java.lang.String getCity()

    - #### setCity

          public void setCity(java.lang.String city)

    - #### getArea

          public java.lang.String getArea()

    - #### setArea

          public void setArea(java.lang.String area)

    - #### getQuarter

          public java.lang.String getQuarter()

    - #### setQuarter

          public void setQuarter(java.lang.String quarter)

    - #### getStreet

          public java.lang.String getStreet()

    - #### setStreet

          public void setStreet(java.lang.String street)

    - #### getHouse

          public java.lang.String getHouse()

    - #### setHouse

          public void setHouse(java.lang.String house)

    - #### getFrac

          public java.lang.String getFrac()

    - #### setFrac

          public void setFrac(java.lang.String frac)

    - #### getFlat

          public java.lang.String getFlat()

    - #### setFlat

          public void setFlat(java.lang.String flat)

    - #### getRoom

          public java.lang.String getRoom()

    - #### setRoom

          public void setRoom(java.lang.String room)

    - #### getPod

          public java.lang.String getPod()

    - #### setPod

          public void setPod(java.lang.String pod)

    - #### getFloor

          public java.lang.String getFloor()

    - #### setFloor

          public void setFloor(java.lang.String floor)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getFullAddress

          public java.lang.String getFullAddress()

    - #### setFullAddress

          public void setFullAddress(java.lang.String fullAddress)

      Адресная строка формируется автоматически в зависимости от setup. Нет смысла сюда что-то ручками отправлять - перетрется.
      Parameters:
        `fullAddress` -

    - #### getHouseId

          public int getHouseId()

    - #### getHouseID

          @Deprecated
          public int getHouseID()

      Deprecated.
      Использовать `getHouseId()`.
      Returns:

    - #### setHouseId

          public void setHouseId(int houseId)

    - #### setHouseID

          public void setHouseID(int houseId)

      Использовать `setHouseId(int)`.
      Parameters:
        `houseId` -